PDA

View Full Version : Conflict fadeslideshow and accordion1.9



gruntled
07-27-2011, 04:45 PM
1) Script Title 1: Ultimate Fade-in slideshow (v2.4)
Script Title 2: Accordion Content script (v1.9)

2) Script URL 1 (on DD): http://www.dynamicdrive.com/dynamicindex14/fadeinslideshow.htm
Script URL 2 (on DD): http://www.dynamicdrive.com/dynamicindex17/ddaccordion.htm

3) Describe problem:

I know that this is one of the issues that is normally not answered and I understand why but I have searched the forum to no avail and I am asking for help anyway:

I am trying to use the Fade-In Slideshow:
http://myrejuvacenter.com/web/js/fadeaccordion/fadeslideshow.html

and the Accordion Content Script:
http://myrejuvacenter.com/web/js/fadeaccordion/accordion.html

Both of which work fine.....

but when combined:
http://myrejuvacenter.com/web/js/fadeaccordion/fadeaccordion.html

The accordion CollapseAll and ExpandAll functions, do not perform the desired functions, but instead link to the page referenced in the html/webpage code where the functions are called.

Note that all of my attempts to place:

var = jQuery.noConflict()

anywhere in the fadeslideshow.js script causes the collapseall and expandall functions to stop working - even in the vanilla/standalone version.

I have tried renaming all variables [ '$' > '$j' and inserting var $j = jQuery.noConflict() ] and but that did not change anything and I do not believe that is the problem.

Again, I know my problem is not a bug and normally is not answered, but since both scripts were written by the DD group, to whom I am so grateful for providing these scripts, that maybe someone else has come across this and found a solution.

Thank-you all for your efforts on behalf of all of us webdev wannabes,

Gruntled

jscheuer1
07-28-2011, 02:09 AM
Revert to the demo versions of both scripts and just get rid of the line:



jQuery.noConflict()

from the fadeslideshow.js file.



It's good what you did using only one call to:


<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>

But that version wasn't the best, make it 1.5.2:


<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.5.2/jquery.min.js"></script>

gruntled
07-29-2011, 02:43 AM
Thanks John - That seems to have fixed the problem. Have a great day.